Scanner CanoScan9000 Mk2

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Scanner CanoScan9000 Mk2

Hans-Christoph Paul
I bought this scanner CanoScan9000 Mk2 USB scanner since it is stated some fully supported.
It's my daughters PC using OpenSuse 13.1

The software in package is not updated, so I updated to 0.17.25 backend SANE driver.
Repository has been set to standard OpenSuse and Packman.

I can see the scanner using "lsusb" both as root and user.
I can see the scanner in Yast.
The Scanner setup in Yast shows the scanner driver, but shows is not configured. 

But the front end doesn't see the scanner,  Xsane or simple scan or similar. They state, scanner is not visible.

I could find 2 cases in Forums with similar problems. Followed their suggestions, without success. 

What can I do?


Best regards
Hans-Christoph Paul

--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Scanner CanoScan9000 Mk2

Johannes Meixner

Hello,

On Oct 21 07:36 Hans-Christoph Paul wrote (excerpt):
> CanoScan9000 Mk2 USB scanner

I neither not have this one nor a similar model
so that I cannot help with model-specific issues.

In general regarding "Trouble-Shooting (Debugging)" see
https://en.opensuse.org/SDB:Configuring_Scanners


> OpenSuse 13.1

openSUSE 13.1 provides sane-backends-1.0.23 where
this model in not listed as supported.


> I updated to 0.17.25 backend SANE driver

Strange - according to
http://www.sane-project.org/cgi-bin/driver.pl?manu=canon&model=9000F&bus=any&v=&p=
the "CanoScan 9000F Mark II" is listed as supported
by the pixma backend versions 0.17.23 and 0.17.24
but 0.17.25 is not (yet?) listed there.

In my current sane-backends-1.0.25 "man sane-pixma"
shows that the "CanoScan 9000F Mark II" works with
this backend.

I assume you have sane-backends-1.0.25 installed.


> The Scanner setup in Yast shows the scanner driver,
> but shows is not configured.

And what does it show when you configure it?


> I could find 2 cases in Forums with similar problems.

What are the URLs of those "2 cases in Forums"
so that we could understand what you are talking about?


Only a guess:

Is your scanner connected to a USB 3 port at the computer?

If yes, this does not work, see
https://bugzilla.opensuse.org/show_bug.cgi?id=856794

You need a newer kernel for USB 3 where the xhci USB driver is
somewhat fixed. But you need additionally sane-backends-1.0.25
that has some additional workarounds for the broken xhci driver.

If possible connect the scanner to a true USB 2 port
this is a USB port where "lsusb -t" does not list
that the kernel-"Driver=xhci" is used for it, cf.
https://bugzilla.opensuse.org/show_bug.cgi?id=856794#c24
(excerpt):
--------------------------------------------------------------
For the fun of it:
My machine has 4 USB ports, two labeled with
the "super speed" USB logo (a.k.a. USB 3) and
two labeled with the normal USB logo (a.k.a. USB 2)
but for all 4 ports xhci is used and it fails on all 4 ports.
--------------------------------------------------------------


Kind Regards
Johannes Meixner
--
SUSE LINUX GmbH - GF: Felix Imendoerffer, Jane Smithard,
Graham Norton - HRB 21284 (AG Nuernberg)


--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Scanner CanoScan9000 Mk2

Hans-Christoph Paul
In reply to this post by Hans-Christoph Paul

The problem is solved. The back end file from SANE website didn’t worked. The backend file from OpenSuse website worked.

 

 

Best regards/med venlig hilsen/mit freundlichen Grüßen

 

Hans-Christoph Paul

 

 

 

From: Hans-Christoph Paul
Sent: 21. oktober 2015 09:37
To: [hidden email]
Subject: Scanner CanoScan9000 Mk2

 

I bought this scanner CanoScan9000 Mk2 USB scanner since it is stated some fully supported.

It's my daughters PC using OpenSuse 13.1

 

The software in package is not updated, so I updated to 0.17.25 backend SANE driver.

Repository has been set to standard OpenSuse and Packman.

 

I can see the scanner using "lsusb" both as root and user.

I can see the scanner in Yast.

The Scanner setup in Yast shows the scanner driver, but shows is not configured. 

 

But the front end doesn't see the scanner,  Xsane or simple scan or similar. They state, scanner is not visible.

 

I could find 2 cases in Forums with similar problems. Followed their suggestions, without success. 

 

What can I do?

 

 

Best regards

Hans-Christoph Paul


--
sane-devel mailing list: [hidden email]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
             to [hidden email]
Loading...